Bug 209563 - Switch PHP default version to 7.1
Summary: Switch PHP default version to 7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-16 21:46 UTC by Yonas Yanfa
Modified: 2018-09-05 08:08 UTC (History)
7 users (show)

See Also:


Attachments
Patch to change default version of PHP (1.23 KB, patch)
2018-08-13 10:31 UTC, Torsten Zuehlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yonas Yanfa 2016-05-16 21:46:46 UTC
PHP 7.0 seems to be production ready. People are finding it to be 2x-3x faster than PHP 5.x. I think we should change the default PHP version to PHP 7 in Mk/bsd.default-versions.mk.
Comment 1 Torsten Zühlsdorff 2016-05-24 08:42:25 UTC
This would at least require an exp-run.

Also there are known ports which did not work together with PHP 7. A switch would render them unusable.

But i think we should start working on this, since the active support for PHP 5.6 runs out at the end of 2016:
http://php.net/supported-versions.php
Comment 2 Miroslav Lachman 2016-05-24 13:03:27 UTC
If something is available doesn't really mean it should be default. This is the same as Perl versions, Python versions, Ruby versions, MySQL versions, PostgreSQL ver... you can continue this very long list.

There are many applications still not working with 7.0.

5.6 has next 7 month of active development and security support until 31 Dec 2018. So there are 2 more years.

It is good to have it in the the ports tree but defaults should be chosen carefully.
Comment 3 Yonas Yanfa 2016-05-24 13:09:48 UTC
> there are known ports which did not work together with PHP 7

Where can I get a list of ports that don't work with PHP 7?
Comment 4 Mathieu Arnold freebsd_committer 2016-05-24 13:19:57 UTC
Look at IGNORE_WITH_PHP lines containing 70.
Comment 5 Marko Cupać 2018-07-23 14:55:25 UTC
Any news or at least gossip regarding PHP default version switch?

According to http://php.net/supported-versions.php security updates end on (ordered chronologically):

2018-12-03: php70
2018-12-31: php56
2019-12-01: php71
2020-11-30: php72

Are there any plans what is next php default version going to be? Is the switch planned for 12.0-RELEASE?

Thank you in advance.
Comment 6 Mathieu Arnold freebsd_committer 2018-07-23 14:58:59 UTC
over to php's maintainer.
Comment 7 Torsten Zuehlsdorff freebsd_committer 2018-07-23 15:21:57 UTC
Aloha,

i will update it to 7.1. I created an exp-run for the update:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229982

Greetings,
Torsten
Comment 8 Torsten Zuehlsdorff freebsd_committer 2018-08-13 10:31:17 UTC
Created attachment 196153 [details]
Patch to change default version of PHP

Attached patch will change the default version of PHP. Please review and test it! :)
Comment 9 Dries Michiels 2018-08-26 18:30:20 UTC
Ping
Comment 10 Marko Cupać 2018-08-29 13:22:36 UTC
(In reply to Torsten Zuehlsdorff from comment #8)

While I haven't applied the patch you posted, I have been testing php71 for almost a year now by means of DEFAULT_VERSIONS+= php=7.1 in make.conf. I also tested php72 but a lot of php ports had problems with it, as opposed to php71. I think php71 is good choice for next FreeBSD default, as it appears to be more compatible than php72, while not significantly worse in performance.

So, when will the patch land into ports tree? Will it wait for 12-RELEASE?

Thank you in advance,
Comment 11 commit-hook freebsd_committer 2018-09-05 08:04:59 UTC
A commit references this bug:

Author: tz
Date: Wed Sep  5 08:04:42 UTC 2018
New revision: 479014
URL: https://svnweb.freebsd.org/changeset/ports/479014

Log:
  Switch default PHP version from 5.6 to 7.1

  PR:		209563
  Reviewed by:	tz, Felix Flor
  Exp-run by:	antoine

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING
Comment 12 Torsten Zuehlsdorff freebsd_committer 2018-09-05 08:08:14 UTC
I committed the change right now. ;)

I tested it for the last months and the exp-run was not surprising. There is no reason to wait until 12.x.

We now have one month to test everything on HEAD before the update will go into quarterly.

Greetings,
Torsten